<?php
class CViewInfo
{
	var $query_id;
	var $query_name;
};

class CModuleQueryView extends CModuleBase
{
	function Init()
	{
		global $UserInfo;
		
		$sql = "select query_id, query_type, query_name from tb_query_view where query_type=1 and user_id=".$UserInfo["UID"];
		$this->db->ExeQuerySql($sql);	
		while($this->db->FetchRow())
		{			
			$mod = new CViewInfo();
			$mod->query_id				= $this->db->Get("query_id");
			$mod->query_name		= $this->db->Get("query_name");
			$this->modules[sizeof($this->modules)] = $mod;
		}
		$this->db->FreeResult();
	}	
};
?>
